PREMNAIR'S Blog

"..Unnatural work produces too much stress.."

Microsoft CRM4 vs Microsoft GP10 and Microsoft Adaptor for Dynamics

Last week we were having the implementation plan for Microsoft GP10 with Microsoft CRM4. For this we need to have the Microsoft Adaptor for Dynamics.

The Adapter is FREE!!!  However, customers will need to have an active/current Microsoft Dynamics GP Enhancement/Support plan. In addition, the customer will also need an active/current Microsoft Dynamics CRM Software Assurance (SA) Support Plan. The Adapter can be obtained by the partner organization placing the order for the customer through the standard Microsoft Dynamics GP ordering system. The Adapter will not be compatible with Microsoft Dynamics CRM 3.0 or Microsoft Dynamics GP 9.0 or any other previous versions of Microsoft Dynamics GP or Microsoft Dynamics CRM. In order to utilize the Adapter, the customer would be required to upgrade to Microsoft Dynamics GP 10.0 Service Pack 4 and Microsoft Dynamics CRM 4.0 Update Rollup #5. This is a completely new tool, redesigned from the ground up. The main integration engines/services used for the Adapter are web services to eConnect (web services to web services)

This version 1 release of the Adapter is only for US English for use in the USA. It is not suitable for use with an International English system at this time.  If you require International English, you will need to wait for version 2 of the Adapter. There is no timeframe set for when version 2 will be released. The adapter is a tool built in Web Services and eConnect – The Adapter is not a product – it is a toolset to help integrate – an out of the box, lightly extensible integration tool (at least for v1). Customers looking for Advanced Integration functionality should still look to ISV’s.

Information About The Microsoft Dynamics CRM 4.0 Adapter for Microsoft Dynamics GP 10.0 Integration Tool, Click here

Now in my scenario, This adaptor will not work in Windows server 2008 R2 64bit platform for their prerequisits..few workarounds required

The Active Directory Lightweight Directory Services role must be installed on the computer before installing the Microsoft Dynamics GP Web Service.

Windows Server 2008 x64 or x86 and Microsoft Dynamics GP 10.0 only – Web Services Runtime Workaround

Click Start, click Run, and then type REGEDIT. 
Locate the following registry subkey, and then follow these steps:
HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion
a.  Right-click the registry subkey, point to New, click Key, and then name the new key ADAM_Shared.
b.  Open the ADAM_Shared folder.
c.  Right-click the ADAM_Shared folder, point to New, and then click String Value.
d.  Name the new string value InstalledVersion, and then type 1.1.3790.2075 as the value data.

Reference related to GP/CRM Click the following blog, which really will help you out.  Sivakumar Venkataraman and Vaidhyanathan Mohan

But when you do the CRM to GP adaptor mapping, few issues starts. If you really going to use CRM only for Customer activities which GP database holds the master and needs to replicate it…Adaptor gives you errors on mapping. We have done the in-house workaround as the adaptor is still premature, our in-house workaround works great…!!!! Thanks to my team…

Moral of the story ” Depend on your own, with your friends…like my boss says ” Assumption is the mother of all screwups”

Advertisements

March 27, 2010 - Posted by | Dynamics CRM, Dynamics GP, Microsoft, Software | , , , , , , ,

No comments yet.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: